org.eclipse.emf.facet.efacet.sdk.ui.dialog

## Interface IFacetDialogFactory

    public interface IFacetDialogFactory

Interface for the dialogs creation factory.

See Also:
  `FacetDialogFactoryImpl`
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static IFacetDialogFactory` `INSTANCE` Return a new instance of the concrete implementation of this interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`<any>` `openAddAttributeInFacetDialog()` Create an new Dialog for the creation of an Attribute in a Facet.
`<any>` `openAddOperationInFacetDialog()` Create an new Dialog for the creation of an Operation in a Facet.
`<any>` `openAddParameterInOperationDialog()` Create an new Dialog for the creation of a Parameter in an Operation.
`<any>` `openAddReferenceInFacetDialog()` Create an new Dialog for the creation of an Reference in a Facet.
`<any>` `openCreateFacetInFacetSetDialog()` Create an new Dialog for the creation of a Facet in a FacetSet.
`<any>` `openCreateFacetSetInFacetSetDialog()` Create an new Dialog for the creation of a FacetSet in a FacetSet.
`<any>` `openEditFacetAttributeDialog()` Create an new Dialog for the edition of an Attribute.
`<any>` `openEditFacetDialog()` Create an new Dialog for the edition of a Facet.
`<any>` `openEditFacetOperationDialog()` Create an new Dialog for the edition of an Operation.
`<any>` `openEditFacetOperationParameterDialog()` Create an new Dialog for the edition of a Parameter.
`<any>` `openEditFacetReferenceDialog()` Create an new Dialog for the edition of an Reference.
`<any>` `openEditFacetSetDialog()` Create an new Dialog for the edition of a FacetSet.

### Field Detail

#### INSTANCE

    static final IFacetDialogFactory INSTANCE

Return a new instance of the concrete implementation of this interface.

### Method Detail

#### openCreateFacetSetInFacetSetDialog

    <any> openCreateFacetSetInFacetSetDialog()

Create an new Dialog for the creation of a FacetSet in a FacetSet.

Returns:
  the dialog.

#### openCreateFacetInFacetSetDialog

    <any> openCreateFacetInFacetSetDialog()

Create an new Dialog for the creation of a Facet in a FacetSet.

Returns:
  the dialog.

#### openAddAttributeInFacetDialog

    <any> openAddAttributeInFacetDialog()

Create an new Dialog for the creation of an Attribute in a Facet.

Returns:
  the dialog.

#### openAddReferenceInFacetDialog

    <any> openAddReferenceInFacetDialog()

Create an new Dialog for the creation of an Reference in a Facet.

Returns:
  the dialog.

#### openAddOperationInFacetDialog

    <any> openAddOperationInFacetDialog()

Create an new Dialog for the creation of an Operation in a Facet.

Returns:
  the dialog.

#### openAddParameterInOperationDialog

    <any> openAddParameterInOperationDialog()

Create an new Dialog for the creation of a Parameter in an Operation.

Returns:
  the dialog.

#### openEditFacetSetDialog

    <any> openEditFacetSetDialog()

Create an new Dialog for the edition of a FacetSet.

Returns:
  the dialog.

#### openEditFacetDialog

    <any> openEditFacetDialog()

Create an new Dialog for the edition of a Facet.

Returns:
  the dialog.

#### openEditFacetAttributeDialog

    <any> openEditFacetAttributeDialog()

Create an new Dialog for the edition of an Attribute.

Returns:
  the dialog.

#### openEditFacetReferenceDialog

    <any> openEditFacetReferenceDialog()

Create an new Dialog for the edition of an Reference.

Returns:
  the dialog.

#### openEditFacetOperationDialog

    <any> openEditFacetOperationDialog()

Create an new Dialog for the edition of an Operation.

Returns:
  the dialog.

#### openEditFacetOperationParameterDialog

    <any> openEditFacetOperationParameterDialog()

Create an new Dialog for the edition of a Parameter.

Returns:
  the dialog.